/* 
 *  For CSCI 255 array tester lab
 *  J Dean Brock <brock@unca.edu>
 *
 */

#include <stdio.h>
#include <stdlib.h>
#include <stdint.h>

#include "tester.h"

#define BORINGTEST 1
// #define EXCITINGTEST 1

int main(int argc, char** argv) {
    putchar('\n') ;
#ifdef BORINGTEST
    puts("Boring tests starting") ;
    puts("Testing getAndSetMiddle") ;
    testArrayFunctions(&getAndSetMiddleC, &getAndSetMiddleC, 10) ;
    puts("Testing countingArray") ;
    testArrayFunctions(&countingArrayC, &countingArrayC, 10) ;
    puts("Testing countOdd") ;
    testArrayFunctions(&countOddC, &countOddC, 10) ;
    puts("Testing makeOdd") ;
    testArrayFunctions(&makeOddC, &makeOddC, 10) ;
    puts("Boring tests finished") ;
#endif
#ifdef EXCITINGTEST
    puts("Exciting tests starting") ;
    puts("Testing getAndSetMiddle") ;
    testArrayFunctions(&getAndSetMiddleC, &getAndSetMiddle, 10) ;
    puts("Testing countingArray") ;
    testArrayFunctions(&countingArrayC, &countingArray, 10) ;
    puts("Testing countOdd") ;
    testArrayFunctions(&countOddC, &countOdd, 10) ;
    puts("Testing makeOdd") ;
    testArrayFunctions(&makeOddC, &makeOdd, 10) ;
    puts("Exciting tests finished") ;
#endif
    return (EXIT_SUCCESS);
}
